Subject: Re: [MOBILE-IP] RFC2002bis

From: Mohamed Khalil <[email-masked]>
Date: Tue, 11 Jan 2000 10:23:55 -0600

> -----Original Message-----
> From: Charles E. Perkins [SMTP:[email-masked]]
> Sent: Tuesday, January 11, 2000 9:05 AM
> To:   [email-masked]
> Subject:      Re: [MOBILE-IP] RFC2002bis
>
> Hello Alper,
>
> > >I changed the word "sent" to "unicast".  This allows the foreign agent
> > >to send ARPs as long as it is not broadcast.  I think this means even
> > >not using any layer-2 multicast or broadcast address.
>
> >
> > We are ARPing the MN, because we don't know it's MAC address. I cannot
> see
> > how we are able to find out the MAC address without link-layer broadcast
> or
> > multicast.
>
> Agreed.  It might be useful for a FA to do a unicast ARP in case its
> current ARP-table entry were timing out.  Or, maybe not.  Should I
> delete the sentences?
        [MK>]  Sending a unicast ARP request contradicts with the original
definition of ARP request message where the destination address should be a
broadcast address (RFC826). Sending a unicast ARP request will require the
implementers to do some changes for the ARP module which might not be
desirable.

> > >> Q: new FA forwarding text; sometimes two MNs on the same FA sometimes
> get
> > >>    traffic forwarded directly rather than via HA.
> >
> > The host specific route to MN shouldn't be available to any packets
> > other than the ones arriving to FA on the tunnel configured for this MN.
> > This requires forwarding based on not only destination address but also
> > incoming interface. Without this, there's the problem of getting HA out
> > of the loop, and in the case of MN moving another site, host specific
> > route will not go away until previous FA expires the registration,
> > and until then any communication going through this FA will be
> > interrupted.
>
> I'll try to find a place to put this.  Do you have a suggestion?
>
>
> Regards,
> Charlie P.